<?php

declare(strict_types=1);

namespace Pinpoint\TaxSwitch\Api;

/**
 * This interface provides methods for retrieving configuration values
 */
interface ConfigHelperInterface
{
    /**
     * @var string
     */
    public const PATH_ENABLED = 'tax/tax_switch/enabled';

    /**
     * @var string
     */
    public const PATH_DEFAULT_DISPLAY = 'tax/tax_switch/default_display';

    /**
     * @param null|string     $scopeType
     * @param null|int|string $scopeCode
     *
     * @return bool
     */
    public function isEnabled($scopeType = null, $scopeCode = null): bool;

    /**
     * @param null|string     $scopeType
     * @param null|int|string $scopeCode
     *
     * @return int
     */
    public function getDefaultDisplay($scopeType = null, $scopeCode = null): int;
}
